Search processing.org:

Reference for Processing (BETA) version 0135+. If you have a previous version, use the reference included with your software. If you see any errors or have any comments, let us know.

Name

### == (equality)

Examples

    int a = 23;
    int b = 23;
    if(a == b) {
      println("variables a and b are equal");
    }

Description | Determines if two values are equivalent. The equality operator is different from the assignment operator.

Syntax

    value1 == value2

Parameters

value1 | int, float, char, byte, boolean, String
value2 | int, float, char, byte, boolean, String

Usage | Web & Application
Related | > (greater than) < (less than) >= (greater than or equal to) <= (less than or equal to) != (inequality)

Updated on February 09, 2008 04:38:52pm PST